<?php

namespace HCM\Geral\Entity;

use HCM\Util\TkEntity;
use HCM\Util\Repositories;

class OcorcalendarioEntity
{
    public function __construct($entityManager, $hcmParameters){
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }

    public function retornaOcorrenciaCalendarioPeriodo(
        $nrOrg, $nrCalendario, $dtInicio, $dtFim, $nrTpCalendario
    ) {
        try {
            $resultados = $this->entityManager->getRepository(Repositories::OCORCALENDARIO)->retornaOcorrenciaCalendarioPeriodo(
                $nrOrg, $nrCalendario, $dtInicio, $dtFim, $nrTpCalendario
            );
            return $resultados;
        } catch (Exception $e) {
            throw $e;
        }
    }
}