CREATE OR REPLACE TRIGGER GERA_MATRICULA_POR_EMPRESA
AFTER INSERT
ON GPE_VINCULOH FOR EACH ROW
DECLARE
   V_PRXMATRICULA VARCHAR2(20); 
   V_VRREFERENCIA FLOAT;
BEGIN
	 IF :NEW.NRORG = 1019 THEN
	    V_VRREFERENCIA := 0;	
        SELECT MAX(VRREFERENCIA)
	      INTO V_VRREFERENCIA
   	      FROM FPA_VALORREFERENCIAM
          JOIN FPA_VALORREFERENCIAH
            ON FPA_VALORREFERENCIAH.NRVALORREFERENCIAM = FPA_VALORREFERENCIAM.NRVALORREFERENCIAM
           AND FPA_VALORREFERENCIAM.DSREFERENCIA = 'GERA_MATRICULA_POR_EMPRESA'
           AND FPA_VALORREFERENCIAH.DTMESCOMPETENC = (SELECT MAX(DTMESCOMPETENC)
                                                        FROM FPA_VALORREFERENCIAH
                                                       WHERE FPA_VALORREFERENCIAH.NRVALORREFERENCIAM = FPA_VALORREFERENCIAM.NRVALORREFERENCIAM)

         WHERE FPA_VALORREFERENCIAM.NRORG      = :NEW.NRORG 
           AND FPA_VALORREFERENCIAM.DSREFERENCIA = 'GERA_MATRICULA_POR_EMPRESA'
	 	   AND FPA_VALORREFERENCIAH.VRREFERENCIA = 1;					
		IF V_VRREFERENCIA >= 1 THEN
			NOVO_CODIGO_SC('HCM_VINCMATRICULA'||:NEW.NRESTRUTLEGAL, V_PRXMATRICULA, 1, :NEW.NRORG);  
			IF (V_PRXMATRICULA IS NOT NULL) THEN 
				UPDATE GPE_VINCULOM
				   SET CDMATRICULA = TO_NUMBER(V_PRXMATRICULA)
				 WHERE NRORG      = :NEW.NRORG
				   AND NRVINCULOM = :NEW.NRVINCULOM;
			END IF;	   
		END IF;   	   
	END IF;
END;
/